<!DOCTYPE html>
<html lang="en" th:lang="#{lang}" xmlns:th="http://www.thymeleaf.org">
<head>
    <!-- CSS -->
    <link rel="stylesheet" href="http://fonts.googleapis.com/css?family=Roboto:400,100,300,500">
    <!--<link rel="stylesheet" th:href="@{/css/login.css}">-->

    <!--/*/ <th:block th:include="fragments/layout :: head">
        </th:block> /*/-->

</head>
<body>

<div class="container text-light">

    <div class="row pt-5">
        <div class="mx-3 mx-sm-auto col-sm-10 offset-sm-1 col-md-8 offset-md-2 col-lg-6 offset-lg-3 bg-alpha-dark py-4 px-4 px-sm-5">
            <div class="text-center">
                <div>
                    <h3><i class="fa fa-lock small mr-2 mb-1"></i>Změna hesla</h3>
                </div>
                <div>
                    <p class="text-white-50">Zadejte staré a nové heslo</p>
                </div>
            </div>
            <div class="mt-4">
                <!--ALERTS-->
                <div th:replace="fragments/layout :: alerts"></div>

                <form role="form" class="needs-validation" th:action="@{/changePassword}" method="post" novalidate>
                    <div class="input-group">
                        <div class="input-group-prepend">
                            <span class="input-group-text" id="basic-addon1">
                                <i class="fas fa-key"></i>
                            </span>
                        </div>
                        <label class="sr-only" for="origPassword">Old password</label>
                        <input type="password" name="origPassword" placeholder="Původní heslo..."
                               class="form-control" autocomplete="current-password"
                               id="origPassword" th:value="${origPassword}" required>
                    </div>
                    <div class="input-group mt-3">
                        <div class="input-group-prepend">
                            <span class="input-group-text">
                                <i class="fas fa-lock"></i>
                            </span>
                        </div>
                        <label class="sr-only" for="newPassword">Password</label>
                        <input type="password" name="newPassword" placeholder="Nové heslo..." class="form-control"
                               id="newPassword" autocomplete="new-password" th:value="${newPassword}" min="8">
                    </div>
                    <div class="input-group mt-1">
                        <div class="input-group-prepend">
                            <span class="input-group-text">
                                <i class="fas fa-redo-alt"></i>
                            </span>
                        </div>
                        <label class="sr-only" for="newPassword2">Password</label>
                        <input type="password" placeholder="Nové heslo znovu..." class="form-control"
                               id="newPassword2" autocomplete="new-password" th:value="${newPassword}" min="8">
                        <span class="invalid-feedback">Hesla se neshodují</span>
                    </div>

                    <div class="clearfix mt-3">
                        <button id="submitBtn" type="submit" class="btn btn-orange float-right">Změnit heslo</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>


<!-- Javascript -->
<script th:src="@{/js/jquery.backstretch.min.js}"></script>

<script>
    jQuery(document).ready(function () {
        /*Fullscreen background*/
        $.backstretch("/imgs/photo3_2000.jpg");
    });

    var password1 = $('#newPassword');
    var password2 = $('#newPassword2');

    password1.on("input", function () {
        checkPassword(password1, password2, true)
    });
    password2.on("input", function () {
        checkPassword(password1, password2, true)
    });
    $('#submitBtn').on("click", function () {
        checkPassword(password1, password2, true)
    });

</script>

</body>

</html>